using System;
using System.Runtime.InteropServices;

namespace SharpQuake
{
	[StructLayout(LayoutKind.Sequential, Pack = 1)]
	internal struct dnode_t
	{
		public int planenum;

		[MarshalAs(UnmanagedType.ByValArray, SizeConst = 2)]
		public short[] children;

		[MarshalAs(UnmanagedType.ByValArray, SizeConst = 3)]
		public short[] mins;

		[MarshalAs(UnmanagedType.ByValArray, SizeConst = 3)]
		public short[] maxs;

		public ushort firstface;

		public ushort numfaces;

		public static int SizeInBytes = Marshal.SizeOf(typeof(dnode_t));
	}
}
